gupnp_service_proxy_remove_notify
gupnp_service_proxy_set_subscribed
Gupnp Functions
PHP Manual

# gupnp_service_proxy_send_action

Send action with multiple parameters synchronously

### Description

array gupnp_service_proxy_send_action ( resource `$proxy` , string `$action` , array `$in_params` , array `$out_params` )

Send action action with parameters `in_params` to the service exposed by proxy synchronously and return `out_params` with values or `FALSE` on error.

### Parameters

`proxy`

  A service proxy identifier.

`action`

  An action.

`in_params`

  An array of in parameters. Each entry in `in_params` is supposed to an array containing name, type and value of the parameters.

`out_params`

  An array of out parameters. Each entry in `out_params` is supposed to an array containing name and type of the parameters.

### Return Values

Return `out_params` array with values or `FALSE` on error.

### Errors/Exceptions

Issues E_WARNING with either not correctly defined `in_params` and `out_params` or unable to send action.

### See Also

- gupnp_service_proxy_action_get
- gupnp_service_proxy_action_set